Bug 1316585 - [RDO Mitaka3 test day] Heat installation fails
[RDO Mitaka3 test day] Heat installation fails
Status: CLOSED WORKSFORME
Product: RDO
Classification: Community
Component: openstack-packstack (Show other bugs)
trunk
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Kilo
Assigned To: Martin Magr
yeylon@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-10 09:32 EST by Martin Magr
Modified: 2016-04-18 03:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-22 06:15:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Magr 2016-03-10 09:32:58 EST
Description of problem:
fd00::1b16_heat.pp:                               [ ERROR ]   
Applying Puppet manifests                         [ ERROR ]

ERROR : Error appeared during Puppet run: fd00::1b16_heat.pp
Error: The kombu_ssl_ca_certs parameter requires rabbit_use_ssl to be set to true at /var/tmp/packstack/aacaf53c563c468898b063a7117a6918/modules/heat/manifests/init.pp:327 on node test-controller.internal
You will find full trace in log /var/tmp/packstack/20160310-151949-Olu15q/manifests/fd00::1b16_heat.pp.log


Version-Release number of selected component (if applicable):
[root@test-controller ~]# rpm -qa openstack*
openstack-ironic-common-4.3.1-0.20160304182025.0d2eb7e.el7.centos.noarch
openstack-nova-console-13.0.0.0b4-0.20160304162843.c5a45a2.el7.centos.noarch
openstack-puppet-modules-8.0.0a0-0.20160304203011.7dc7e93.el7.centos.noarch
openstack-swift-account-2.6.1-0.20160304194746.9891039.el7.centos.noarch
openstack-ironic-api-4.3.1-0.20160304182025.0d2eb7e.el7.centos.noarch
openstack-nova-novncproxy-13.0.0.0b4-0.20160304162843.c5a45a2.el7.centos.noarch
openstack-swift-plugin-swift3-1.7-4.el7.noarch
openstack-packstack-puppet-7.0.0-0.12.dev1699.g8f54936.el7.noarch
openstack-selinux-0.6.57-1.el7.noarch
openstack-cinder-8.0.0.0b4-0.20160304194935.ad1d103.el7.centos.noarch
openstack-utils-2015.2-1.el7.noarch
openstack-ironic-conductor-4.3.1-0.20160304182025.0d2eb7e.el7.centos.noarch
openstack-nova-common-13.0.0.0b4-0.20160304162843.c5a45a2.el7.centos.noarch
openstack-neutron-common-8.0.0.0b4-0.20160304174813.0ae20a3.el7.centos.noarch
openstack-neutron-ml2-8.0.0.0b4-0.20160304174813.0ae20a3.el7.centos.noarch
openstack-swift-2.6.1-0.20160304194746.9891039.el7.centos.noarch
openstack-swift-object-2.6.1-0.20160304194746.9891039.el7.centos.noarch
openstack-packstack-7.0.0-0.12.dev1699.g8f54936.el7.noarch
openstack-glance-12.0.0.0b4-0.20160304173252.b887746.el7.centos.noarch
openstack-keystone-9.0.0.0b4-0.20160304193251.9d6ab5d.el7.centos.noarch
openstack-manila-2.0.0.0b4-0.20160304030735.f81bc48.el7.centos.noarch
openstack-nova-conductor-13.0.0.0b4-0.20160304162843.c5a45a2.el7.centos.noarch
openstack-nova-cert-13.0.0.0b4-0.20160304162843.c5a45a2.el7.centos.noarch
openstack-dashboard-9.0.0.0b4-0.20160304094124.ecaf1a4.el7.centos.noarch
openstack-swift-container-2.6.1-0.20160304194746.9891039.el7.centos.noarch
openstack-manila-share-2.0.0.0b4-0.20160304030735.f81bc48.el7.centos.noarch
openstack-nova-scheduler-13.0.0.0b4-0.20160304162843.c5a45a2.el7.centos.noarch
openstack-swift-proxy-2.6.1-0.20160304194746.9891039.el7.centos.noarch
openstack-nova-api-13.0.0.0b4-0.20160304162843.c5a45a2.el7.centos.noarch
openstack-neutron-8.0.0.0b4-0.20160304174813.0ae20a3.el7.centos.noarch
[root@test-controller ~]# 


Additional info:[root@test-controller ~]# cat /var/tmp/packstack/20160310-151949-Olu15q/manifests/fd00::1b16_heat.pp.log
Error: The kombu_ssl_ca_certs parameter requires rabbit_use_ssl to be set to true at /var/tmp/packstack/aacaf53c563c468898b063a7117a6918/modules/heat/manifests/init.pp:327 on node test-controller.internal
Error: The kombu_ssl_ca_certs parameter requires rabbit_use_ssl to be set to true at /var/tmp/packstack/aacaf53c563c468898b063a7117a6918/modules/heat/manifests/init.pp:327 on node test-controller.internal
[root@test-controller ~]#
Comment 1 Martin Magr 2016-03-10 09:56:23 EST
We have to change defaults in heat_rabbitmq.pp to:

$kombu_ssl_ca_certs = hiera('CONFIG_AMQP_SSL_CACERT_FILE', $::os_service_default)
$kombu_ssl_keyfile = hiera('CONFIG_HEAT_SSL_KEY', $::os_service_default)
$kombu_ssl_certfile = hiera('CONFIG_HEAT_SSL_CERT', $::os_service_default)
Comment 2 Martin Magr 2016-03-22 06:15:29 EDT
Works with openstack-packstack-8.0.0-0.20160321212000.5939a9f.el7.centos.noarch

Note You need to log in before you can comment on or make changes to this bug.